<ion-header>
  <ion-navbar>
    <ion-title>login</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <form #f="ngForm" (ngSubmit)="onLogin(f)">
    <ion-list>
      <ion-item>
        <ion-label floating>Nickname</ion-label>
        <ion-input type="text" ngModel name="nickName" required></ion-input>
      </ion-item>
    </ion-list>
    <button ion-button block type="submit" [disabled]="!f.valid">Log In</button>
  </form>
</ion-content>